@import 'styles/main.scss';

.Button {
  color: $text-primary;
  font: inherit;
  border-radius: 8px;
  border: none;
  cursor: pointer;
  line-height: 20px;
  transition: 0.2s ease all;
  display: flex;
  align-items: center;
  justify-content: center;

  &__container{
    position: relative;
    z-index: 1;
    display: flex;
    align-items: center;
    gap: 4px;
  }

  &:hover {
    background: $background-dark-white;
  }

  &--size {
    &-sm {
      height: 30px;
      padding: 0 24px;
    } 

    &-md {
      height: 36px;
      padding: 0 32px;
    } 

    &-lg {
      height: 40px;
      padding: 0 36px;
    } 
  }

  &--variant {
    &-primary {
      background: $primary;

      &:hover {
        background: $dark-green;
      }
    }

    &-secondary {
      background: $background-light;
    }

    &-secondary-border {
      background: $background-light;
      border: 1px solid $text-light;
    }

    &-transparent {
      background: transparent;
      padding: 0;
      height: auto;
      width: auto;
    }
  }

  &--disabled {
    cursor: not-allowed;
    color: $text-dark-gray !important;
    background: $light-green !important;
  }
}